li.buttom__icon {
    position: fixed;
    width: 70px;
    bottom: 0;
    padding: 10px 0;
}

li.buttom__icon a img {
    width: 28px;
}

.main__nav ul li a {
    /* text-align: center;
    font-size: 27px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; */

    height: inherit;
    width: inherit;
    display: block;
    padding: 13px 0;
    text-align: center;
}

.file__toggle {
    display: none;
}

.file__toggle.active {
    display: block;
    padding-right: 4px;
}

.main__nav li:hover .main__nav ul li a {
    color: red;
}

a.buttom__link {
    background: #fff;
    border: 1px solid #000;
    border-radius: 4px;
    box-shadow: inset 0px -1px 6px 3px rgb(142 142 142);
    width: 72% !important;
    padding: 8px !important;
}

.main__nav ul li.buttom__icon {
    background: linear-gradient(#8c0437ee, #1e000d);
}

.main__nav li:hover {
    background: #fff;
}

ul#sidenav li {
    margin-bottom: 2px;
    position: relative;
}

ul#sidenav li a {
    background-position: 0 -251px !important;
    border-top: #d6d6d6 1px solid;
    border-right: #bfbfc0 1px solid;
    border-bottom: #babbbb 1px solid;
    border-left: #bfbfc0 1px solid;
}

ul#sidenav li a {
    color: #444;
    line-height: 32px;
    display: block;
    font-size: 12px;
    text-decoration: none;
    padding-left: 32px;
}

ul#sidenav li {
    background: -webkit-gradient(
        linear,
        left top,
        left bottom,
        color-stop(0%, #fafafa),
        color-stop(50%, #ebebeb),
        color-stop(51%, #e4e4e4),
        color-stop(100%, #e1e1e2)
    );
}

.nav_icon {
    height: 20px;
    width: 20px;
    display: flex;
    position: absolute;
    left: 7px;
    color: #4e364e;
    top: 6px;
    justify-content: center;
    align-items: center;
    font-size: 17px;
}

div#sidebar {
    /* border: 1px solid #412361; */
    padding-top: 10px;
    position: fixed;
    width: 200px;
    overflow: hidden;
    overflow-y: scroll;
    height: 100vh;
    z-index: 99;
}

ul#sidenav li a:hover {
    border: #b5ccd4 1px solid;
    color: #084e70;
    background-position: 0 -289px !important;
}

/* =================================================left main nev============================= */

/* ===============================================top navigation======================= */

img.logo__img {
    width: auto !important;
    height: auto !important;
    max-height: 35px;
    max-width: 110px;
}

.navigation {
    display: flex;
    align-items: center;
    position: fixed;
    width: 79.5%;
    z-index: 99;
    padding: 0px;
    left: 0px;
}

.panel__nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.top-menu {
    width: 100%;
}

ul.head__cn {
    display: flex;
}

ul.head__cn li .nav-btn {
    display: flex !important;
    align-items: center;
    text-align: left;
    height: 45px !important;
    max-height: none;
    color: #fff;
    border: 0;
    border-radius: 0;
    padding: 0 10px;
    position: relative;
}

li.user_info {
    display: grid;
}

span.user_name {
    font-size: 0.8em !important;
}

li.user_info span {
    font-size: 11px;
    display: flex;
    color: #fff;
    align-items: center;
}

li.user_info {
    line-height: 10px;
}

li.user_info span a {
    color: #fff;
    padding: 0px 3px;
}

ul.dropdown-menu.dropdown__main__menu.show li a {
    color: var(--title-color);
    white-space: normal;
    font-size: 13px;
    line-height: 16px;
}

ul.dropdown-menu.dropdown__main__menu.show {
    width: 225px;
}

ul.dropdown-menu.dropdown__main__menu.show li {
    display: flex;
    align-items: center;
    margin: 3px 0;
}

span.dropdown__icon {
    font-size: 25px;
    border: 1px solid #a5aaad;
    padding: 6px;
    border-radius: 5px;
    background: #efefef;
}

ul.dropdown-menu.dropdown__main__menu.show li a:hover {
    color: var(--main-color);
    background: #fff;
}

li.dp__top {
    display: flex;
}

a.btn__sub {
    font-size: 13px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff !important;
    background: var(--main-grident);
    margin-top: 10px;
    transition: 0.3s;
    border-radius: 4px;
}

a.btn__sub:hover {
    background: linear-gradient(#19394c, #14a7ff);
}

ul.dropdown-menu.dropdown__main__menu.show {
    padding: 5px 8px;
}

/* ===============================================top navigation end======================= */

/* ====================================Model toggle===================================== */

.sub-menu {
    position: absolute;
    width: 78.5%;
    background: #fff;
    top: 62px !important;
    height: 91vh;
    z-index: 20;
    left: 21.5%;
    display: none;
}

.sub-menu.active {
    display: block;
}

.sub-menu-width {
    margin-top: 0px;
}

button.btn-close.close-model:focus {
    box-shadow: none;
}

.toggle-leftbar.active {
    display: block;
    z-index: 99;
}

div#left_bar_toggle {
    display: none;
}

.notify-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#left_bar_toggle span {
    color: #fff;
    width: 20px;
    height: 20px;
    justify-content: center;
    display: flex;
    align-items: center;
    font-size: 25px;
}

.category-bar {
    z-index: 1;
    position: fixed;
    top: 45px;
}

/* ===================================check================ */

/* =========================== */

.dp__down {
    position: fixed;
    width: 234px;
    display: none;
    left: 71px;
    bottom: 0%;
    background: linear-gradient(#dedede, #444444);
    /* padding: 20px 2px; */
    border: 1px solid #000;
}

.buttom__icon:hover .dp__down {
    display: block;
}

.main__nav ul li.dp__link {
    padding-top: 5px;
    background: linear-gradient(#f7f7f7, #d6d6d6);
    margin-bottom: 1px;
}

.main__nav ul li.dp__link a {
    font-size: 13px;
    padding: 1px 17px;
    width: 100%;
    color: #000;
    display: flex;
    justify-content: end;
    align-items: center;
    margin-bottom: 4px;
    /* background: linear-gradient(#f7f7f7, #d6d6d6); */
}

ul.dp__ul {
    margin: 4px;
    border: 1px solid;
}

p.dp__link__text span {
    display: flex;
    line-height: 2px;
    padding-bottom: 10px;
    font-size: 10px !important;
    color: var(--title-color) !important;
}

p.dp__link__text {
    padding-left: 10px;
    color: var(--main-color);
    font-weight: 600;
    font-size: 11px;
}

li.dp__link a spna {
    font-size: 20px;
}

li.dp__link a span {
    font-size: 21px;
    color: #4a1e4a;
}

.main__nav ul li.dp__link:hover {
    background: #fff;
}

div#sidebar::-webkit-scrollbar {
    width: 0px;
}

div#sidebar::-webkit-scrollbar-track {
    background: rgb(214, 211, 211);
}

div#sidebar::-webkit-scrollbar-thumb {
    background: #320e20;
    border-radius: 10px;
}

a.bar-link {
    padding-left: 0 !important;
    background: none !important;
}

div#menu__id {
    position: fixed !important;
}

.sub-dp.show {
    display: block;
    position: fixed !important;
    left: 21.5% !important;
    display: block;
    transform: none !important;
    top: 62px;
}

/* ===============================2 left bar design=================================== */

ul.head__cn li a span {
    font-size: 11px;
    font-weight: 300;
}

#dashboardmenu ul#sidenav > li a:hover {
    background: -webkit-linear-gradient(
        top,
        #7b2853 0%,
        #5e1b3f 50%,
        #5d1b3f 51%,
        #2c0c1ccf 100%
    );
}

ul#sidenav li a:hover {
    color: #fff;
}

ul#sidenav li a:hover span {
    color: #fff;
}

ul#sidenav ul {
    margin-top: 3px;
}

ul#sidenav li li a {
    padding-left: 37px;
}

ul#sidenav li li span.nav_icon {
    padding-left: 15px;
    font-size: 15px;
}

ul#sidenav li li a {
    font-size: 11px;
}

/* =============================== Footer design =================================== */
footer {
    position: fixed;
    width: 100%;
    bottom: 0;
    height: 28px;
    z-index: 999 !important;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

footer .logo_wrapper {
    padding: 2px 0;
    flex: 1;

}

footer img.logo {
    max-height: 23px;
    width: auto;

}

/*============================ Calculator design =====================*/
#calculatorModal {
    overflow-y: hidden;
}

#calculatorModal.modal.show .modal-dialog {
    /* width: 287px; */
    top: 61px;
}

#calculatorModal .modal-content {
    background-color: rgba(255, 255, 255, 0);
    width: 200px;
    border-radius: 27px;
    /* right: -452px; */
    float: right;
    border-radius: 5px;
    overflow: hidden;
}

.modal-body#calculator {
    padding: 0;
}

#calculatorModal.modal.show .modal-dialog {
    /* width: 287px; */
    top: 1px;
    height: 100%;
    position: absolute;
    right: 6%;
}

.modal-backdrop.show {
    opacity: 0.5;
    display: none;
}

.logo__sec {
    width: 160px;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    float: left;
}



/* =============================== Dashboard 8 design =================================== */
#dashboard-8 #primary_nav {
    position: fixed;
    z-index: 9;
    top: 45px;
    left: 0;
}

.first__left {
    height: calc(100vh - 45px);
    scrollbar-width: none;
    overflow: auto;
    -ms-overflow-style: none;
    background-color: #0a0b0c;
}

.dark-theme #primary_nav {
    background-color: #0a0b0c;
}

#dashboard-8 .main__nav {
    width: initial !important;
}

#dashboard-8 .navigation {
    width: 100%;
    z-index: 999999999;
}

#dashboard-8 .main__nav ul {
    display: flex;
    flex-wrap: wrap;
    padding-bottom: 28px;
}
.main__nav ul {
    max-width: 160px;
}

#dashboard-8 #primary_nav .main__nav img {
    width: 30px;
}

#dashboard-8 .main__content {
    margin-top: 45px;
}

#dashboard-8 #primary_nav::-webkit-scrollbar {
    display: none;
}

#dashboard-8 .main__nav ul li {
    flex: none;
    width: 80px;
    height: 70px;
    float: left;
}

#dashboard-8 .main__nav ul li:first-child {
    width: 160px;
    border-top: 1px solid rgba(255, 255, 255, 0.35);
}

.company-name {
    border-left: 1px solid rgba(255, 255, 255, 0.2);
    padding-left: 15px;
}

.company-name p {
    font-size: 11px;
    line-height: 100%;
    font-weight: 500;
    color: #fff;
    margin-bottom: 4px;
}

.company-name span {
    display: block;
    font-size: 11px;
    line-height: 100%;
    color: #d1d1d1;
}

.company-name span strong {
    color: #e9e9e9;
}

.financial_year {
    font-size: 10px !important;
}

.expire_date_text {
    font-size: 11px;
}

#dashboard-8 .main__nav ul li a span.fas {
    display: block;
}

#dashboard-8 .main__nav ul li a p.title {
    font-size: 9px;
    margin-top: 3px;
}

#dashboard-8 .main-woaper {
    width: 100%;
    padding-left: 160px;
    margin-bottom: 28px;
    overflow: hidden;
}

#rightSidebar .bottom-btn-group {
    padding: 10px;
}

#rightSidebar .bottom-btn-group ul {
    gap: 5px;
    flex-wrap: wrap;
}

#rightSidebar .bottom-btn-group li {
    width: calc(100% / 3 - 3.5px);
}

#rightSidebar .bottom-btn-group a {
    display: block;
    width: 100%;
    height: 100%;
    line-height: 100%;
    background: #323232;
    border: 1px solid #323232;
    padding: 4px 7px;
    font-size: 16px;
    transition: 0.3s;
    cursor: pointer;
}

#rightSidebar .bottom-btn-group a:hover {
    border-color: #0aa9da;
}

#rightSidebar .bottom-btn-group a span {
    display: block;
}

#rightSidebar .bottom-btn-group a span:first-child {
    margin-bottom: 15px;
}

#rightSidebar .bottom-btn-group a span:last-child {
    font-size: 10px;
    margin-bottom: -2px;
}

/* ===================menu-horizontal-view=============== */
.all__content.menu-horizontal-view {
    padding-top: 85px;
}

.menu-horizontal-view .main__nav ul {
    max-width: initial !important;
}

.menu-horizontal-view header {
    position: fixed;
    top: 0;
    z-index: 99999;
}
.menu-horizontal-view .panel__nav {
    width: 100vw;
}

.horizontal-content-wrapper,
.horizontal-menu-wrap,
.menu-horizontal-view .navigation,
.horizontal-menu-wrap #primary_nav,
.menu-horizontal-view .main__nav {
    position: initial !important;
    width: initial !important;
    height: initial !important;
    display: initial !important;
}

.menu-horizontal-view .main__nav ul,
.menu-horizontal-view .main__nav,
.menu-horizontal-view .first__left {
    height: max-content;
    scrollbar-width: none;
    overflow: auto;
    -ms-overflow-style: none;
}

.menu-horizontal-view .first__left::-webkit-scrollbar {
    display: none;
}

.menu-horizontal-view .cs_custom_wrapper {
    transform: translateY(0) !important;
}

/* .horizontal-content-wrapper{
    position: relative;
    height: 45px !important;
} */

.horizontal-content-wrapper .icon {
    position: absolute;
    height: 40px;
    width: 35px;
    background-color: #0a0b0c;
    top: 0;
    color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 999;
    display: none;
    cursor: pointer;
    font-size: 16px;
}

.horizontal-content-wrapper .left {
    left: 0;
}
.horizontal-content-wrapper .right {
    right: 0;
}
.menu-horizontal-view .horizontal-content-wrapper .icon {
    display: flex;
}

.menu-horizontal-view .icon.active,
.menu-horizontal-view .icon.active {
    color: #0ec726;
}

.menu-horizontal-view .main__nav {
    margin-top: 0 !important;
}
.menu-horizontal-view .toggle-leftbar {
    display: initial;
}
.menu-horizontal-view #left_bar_toggle {
    display: none !important;
}

/* =====menu===== */
.horaizental-menu {
    cursor: pointer;
}
.menu-horizontal-view .toggle-leftbar {
    position: initial !important;
    width: initial !important;
    height: initial !important;
    flex-direction: column !important;
}

.menu-horizontal-view .main__nav ul li {
    height: initial !important;
    min-width: fit-content !important;
    max-height: 40px !important;
}

.menu-horizontal-view .main__nav ul li a {
    padding: 10px 20px;
    display: flex !important;
    align-items: center;
    gap: 10px;
    width: 100%;
    height: 100%;
    flex-direction: initial;
}
.menu-horizontal-view .main__nav ul li a img {
    width: 25px !important;
}

.menu-horizontal-view .main-woaper {
    padding-left: 0 !important;
}

.menu-horizontal-view .main__content {
    margin-top: 0 !important;
}
.menu-horizontal-view .sub-menu_t,
.menu-horizontal-view .sub-menu_t.active {
    position: initial;
    padding: 0;
    margin: 0;
    width: initial;
}

.menu-horizontal-view .category-bar {
    width: 100%;
    margin-left: 0;
    margin-right: 0;
    z-index: 9999;
}

.menu-horizontal-view .horizontal-content-wrapper {
    position: fixed !important;
    width: 100vw !important;
    z-index: 9999;
    top: 45px;
}

.menu-horizontal-view .main__nav {
    width: 100vw !important;
    overflow-x: scroll !important;
}

#dashboard-8 .menu-horizontal-view .main__nav ul li:first-child {
    border-top: none;
}

.menu-horizontal-view .main__nav ul {
    display: flex !important;
    height: 40px !important;
    width: initial !important;
    flex-wrap: nowrap !important;
    width: 100vw;
    overflow: scroll;
    margin: 0 35px;
    padding: 0 !important;
}

.menu-horizontal-view .main__nav ul::-webkit-scrollbar {
    display: none;
}

.modal-close-head {
    display: flex;
    justify-content: space-between;
    position: relative;
}

#dashboard-8 .menu-horizontal-view .toggle_reduce_main_woaper_tab {
    margin-left: 0;
    width: 100%;
}

/*=========== Category header======== */
.cs_category_header {
    display: flex;
    align-items: center;
    position: relative;
    gap: 10px;
    justify-content: space-between;
    height: 40px;
}

.cs_category_header .btn.btn-secondary.close-model {
    background-image: linear-gradient(#2b9ed0, #0f5167) !important;
    height: 42px !important;
    line-height: 40px !important;
    width: 60px;
    border-radius: 0;
    margin-right: -1px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tab_list_area .btn-group .btn.btn-primary span {
    position: relative;
    z-index: 99;
    height: 100%;
    width: 100%;
}

.tab_list_area .btn-group .btn.btn-primary {
    display: flex;
    align-items: center;
    gap: 5px;
    border: none !important;
    border-radius: 0;
    position: relative;
    display: inline-block;
    background-image: linear-gradient(#2b9ed0, #0f5167) !important;
    border-left: 1px solid #3ebdf3 !important;
    border-right: 1px solid #16516a;
}
.tab_list_area .btn-group .btn.btn-primary::after {
    position: absolute;
    content: "";
    height: 7px;
    width: 7px;
    background-image: linear-gradient(#0f5167, #0f5167) !important;
    bottom: -4px;
    left: 50%;
    transform: translateX(-50%) rotate(45deg);
    display: none;
}

.tab_list_area .btn-group .btn.btn-primary.tab_active::after {
    display: block;
}

.cs_system_info_title {
    font-size: 16px;
}

.cs_system_info_wrap {
    display: grid;
    width: calc(100vw - 200px);
    grid-template-columns: repeat(6, 1fr);
}

.cs_single_info {
    border-right: 1px solid #a7a7a7;
    padding-right: 80px;
    background: rgba(40, 199, 111, 0.12);
    padding: 4px;
    padding-left: 15px;
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.menu-horizontal-view .cs_single_info {
    padding: 5px;
}
.menu-horizontal-view .cs_category_header .btn.btn-secondary.close-model {
    height: 42px !important;
}

.cs_single_info span {
    line-height: 1;
    font-size: 12px;
    opacity: 0.8;
}

.cs_single_info .cs_digits {
    font-weight: 600;
    opacity: 1;
}

.btn,
.btn.btn-sm,
.btn:active,
.btn:focus,
.btn.btn-sm:active,
.btn.btn-sm:focus {
    /* box-shadow: none !important; */
}

/* Tab style category */
.d-none.show-category,
.d-none.show-subcategory {
    display: flex !important;
}

/* Tab style Leave */
.d-none.show-addLeave,
.d-none.show-addLeaveType {
    display: flex !important;
}

/* Tab style Settings */
.d-none.show-addStatus,
.d-none.show-addBrand,
.d-none.show-addDevice,
.d-none.show-addDeviceModels {
    display: flex !important;
}

.tab_list_area {
    padding: 0 !important;
}

.table-container {
    max-height: 400px;
    overflow-y: auto;
    border: 1px solid #ddd;
    position: relative;
}

/* ===========Table head ============ */
.table_bg_initial .table-responsive thead tr {
    background-image: initial !important;
    color: #0a0b0c;
}

/* ====================Table and Export Buttons=============== */
.dataTables_filter,
.dataTables_length {
    padding: 0 !important;
    margin: 0 !important;
}

.dataTables_filter {
    /* margin-top: 4px !important;
    padding-left: 5px !important; */
}

.dataTables_filter input {
    border-radius: 5px;
}

.dataTables_length label {
    font-size: 0;
    line-height: 1;
}

.dataTables_length select {
    font-size: 12px;
    /* height: 38px !important;
    border-bottom: 0 !important;
    border-top: 0 !important; */
}

.div#DataTables_Table_0_length select {
    height: initial !important;
}

/* .card-body{
    padding: 0;
} */

.sec-name .input-group .form-control,
.input-group #select_print_page_size {
    height: 40px !important;
    /* border-top: none !important;
    border-bottom: none !important; */
    line-height: 1;
}

.print_and_back_btn_wrap .input-group {
    margin-left: 30px;
}

.dataTables_wrapper table {
    transform: translateY(-1px) !important;
}

.dataTables_length .export-btn-wrapper .exportBtn {
    padding: 3px 5px;
    font-size: 12px;
    height: 35px !important;
    border-top-right-radius: 5px;
}

.dt-buttons {
    display: none;
}

.dataTables_length {
    /* position: absolute;
    right: 75px; */
}

.table-responsive .dataTables_length select {
    height: 25px;
    border-radius: 4px;
}
.table-responsive .export-btn-wrapper .btn.exportBtn {
    height: 35px !important;
}

.table-responsive .export-btn-wrapper .btn.exportBtn {
    border-top-right-radius: 5px;
}

.export-btn-wrapper {
    position: relative;
    float: right;
}

.export-btn-wrapper .dt-buttons {
    display: flex;
    flex-direction: column;
    margin-right: 0;
    position: absolute;
    left: 0;
    top: calc(100% + 10px);
    padding: 4px 0 !important;
    background-color: white;
    border: 1px solid #eee;
    border-radius: 5px;
    box-shadow: 0 3px 10px 5px rgb(0, 0, 0, 0.1);
    transition: 0.3s;
    opacity: 0;
    visibility: hidden;
    z-index: 99;
    width: 100%;
}
.export-btn-wrapper .dt-buttons.active {
    top: 100%;
    opacity: 1;
    visibility: visible;
}
.export-btn-wrapper .dt-buttons .btn {
    margin: 0;
    background: transparent !important;
    color: #a1a1a1;
    padding: 5px 10px !important;
    height: initial !important;
    line-height: 1;
}
.export-btn-wrapper .dt-buttons .btn:hover {
    background-color: rgb(243, 244, 246) !important;
}
.export-btn-wrapper .dt-buttons .btn span {
    display: flex !important;
    gap: 3px !important;
    align-items: center;
    color: rgb(17, 24, 39);
}
.export-btn-wrapper .dt-buttons i {
    height: 12px;
    width: 12px;
}

.select2-container--open {
    z-index: 99999999;
}

.modal .select2-container {
    z-index: 1051 !important;
}

.card .widget_content .table-responsive {
    height: initial !important;
    min-height: initial !important;
}

*::-webkit-scrollbar {
    display: none;
}

/* Data table */
.data-table-wrapper {
    height: calc(100vh - 210px);
    overflow: auto;
    width: 100%;
    border-top: 1px solid #ccc;
    position: relative;
}

.data-table-wrapper::-webkit-scrollbar {
    display: initial !important;
}

.data-table-wrapper::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}

.data-table-wrapper::-webkit-scrollbar-track {
    background: #ccc;
    border-radius: 10px;
}

.data-table-wrapper::-webkit-scrollbar-thumb {
    background: #505050;
    border-radius: 10px;
    cursor: pointer;
}

table.display thead th {
    border-top: 0;
}

.dataTables_empty {
    height: calc(100vh - 265px);
}

/* extra div adjustment */
.card + .card .data-table-wrapper {
    height: calc(100vh - 245px);
}

.card + .card .dataTables_empty {
    height: calc(100vh - 280px);
}

/* Horizontal view */
.menu-horizontal-view .data-table-wrapper {
    height: calc(100vh - 250px);
}

.menu-horizontal-view .dataTables_empty {
    height: calc(100vh - 305px);
}

/* Pricing */

.pricing-table .table-top,
.pricing-table .cs_pricing_bottom {
    display: flex;
    flex-direction: column;
    gap: 15px;
}
.pricing-table .in-visible {
    opacity: 0;
    visibility: hidden;
}
.pricing-table .btn.btn-primary {
    width: max-content;
}

.pricing-table .cs_pricing_bottom {
    align-items: center;
    gap: 5px;
}

.pricing-table table th {
    min-width: 250px;
}

.pricing-table .data-table-wrapper {
    height: calc(100vh - 120px);
}

/*================Barcodes================= */
.cs_barcode_wrap {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    justify-content: center;
}

.cs_barcode_card_wrapper {
    display: grid;
}
.cs_barcode_card_wrapper.cs_layout_2 {
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
    row-gap: 10px;
}

.cs_barcode_page_body {
    background-color: #4d525a;
    color: #fff;
}

.cs_content_left {
    height: calc(100vh - 115px);
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    padding: 20px 0;
    gap: 30px;
}

@media (max-width: 1399px) {
    .cs_content_left {
        height: initial;
    }
    .cs_barcode_card_wrapper.cs_layout_2 {
        grid-template-columns: repeat(1, 1fr);
    }
}

.cs_barcode_top {
    background-color: red;
    text-align: center;
}

.cs_barcode_bottom {
    background-color: #4d525a;
    width: 100%;
    padding: 30px;
}
.cs_barcode_btns_wrap {
    display: flex;
    justify-content: center;
    gap: 10px;
    flex-wrap: wrap;
    height: max-content;
}

.cs_barcode_btns_wrap.cs_type_2 button {
    font-size: 14px;
    height: max-content;
}

.cs_barcode_page_body label {
    font-size: 14px;
}

.cs_barcode_card {
    border: 1px solid #ccc;
    position: relative;
}

.cs_barcode_card_body {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 15px;
    column-gap: 10px;
    padding: 0px 10px 20px;
}

.cs_barcode_card_body.cs_row_gap_5 {
    row-gap: 5px;
}

.cs_column_span_2 {
    grid-column: span 2;
}

.cs_barcode_card_title {
    transform: translateY(-13px);
    display: inline-block;
    background-color: #4d525a;
    font-size: 14px;
    margin-left: 10px;
    padding: 0 10px;
}

.cs_barcode_card_body .input-wrap {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
}

.cs_barcode_card_body input {
    width: 100px;
    padding-left: 5px;
    color: #222;
}

.cs_content_left .cs_barcode_card_body input {
    width: initial;
    max-width: 70px;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    opacity: 1;
}

input[type="number"] {
    -moz-appearance: textfield;
}

input[type="color"] {
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
}

.cs_barcode_card_body .input-wrap.cs_flex_column {
    flex-direction: column;
    gap: 5px;
}

.cs_barcode_card_body .input-wrap.cs_flex_column label {
    line-height: 1;
}

.cs_barcode_card_body .input-wrap.cs_flex_column input {
    width: 100%;
}

.cs_barcode_card_body .input-wrap input,
.cs_barcode_card_body .input-wrap select {
    border: none;
    outline: none;
}

.cs_barcode_card_body .input-wrap select {
    height: 26px;
}

.cs_barcode_card_body .cs_input_check_box {
    align-items: center;
    justify-content: start;
}
.text_alignment_wrapper,
.cs_barcode_card_body .cs_input_radio_box {
    display: flex;
    align-items: center;
    gap: 8px;
}

.text_alignment_wrapper {
    gap: 30px;
}

.cs_input_check_box input {
    height: 15px;
    width: 15px;
}

.cs_barcode_align_input,
.cs_barcode_alignment_wrap {
    display: flex;
    gap: 15px;
}

.cs_barcode_align_input {
    gap: 5px;
}

.cs_barcode_size_card {
    border: 1px solid #7d8086;
    padding: 10px;
}

.cs_barcode_size_wrap {
    display: flex;
}

.cs_barcode_size_card .cs_barcode_size_wrap input {
    width: 80px !important;
}

.cs_barcode_width_label {
    margin-left: 30px;
}

.cs_divider {
    font-size: 20px;
    height: 26px;
    width: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cs_height_width_type {
    margin-left: 8px;
}

.cs_save_and_reset_button_wrapper {
    display: flex;
    margin: 30px 0;
    gap: 10px;
}

.cs_barcode_save,
.cs_barcode_saveAsPdf,
.cs_barcode_printPreview,
.cs_barcode_print,
.cs_barcode_reset {
    font-size: 18px;
    border: none;
    outline: none;
    padding: 10px 20px;
    padding-left: 10px;
    display: flex;
    align-items: center;
    line-height: 1;
    gap: 10px;
}

.cs_barcode_templates_title_btns,
.cs_barcode_printPreview,
.cs_barcode_print {
    background-image: linear-gradient(#2b9ed0, #0f5167) !important;
    border: 0;
    border-left: 1px solid #3ebdf3 !important;
    border-right: 1px solid #16516a !important;
    color: #fff;
    border-radius: 5px;
}

.cs_barcode_templates_title_btns {
    height: 40px;
    padding: 0 30px;
    display: flex;
    gap: 10px;
    align-items: center;
    border-radius: 0;
    font-size: 18px;
}

.cs_barcode_reset i {
    transform: rotate(180deg);
}

.cs_barcode_display {
    height: calc(100vh - 255px);
    background-color: #d3d3d3;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    overflow: auto;
}
.cs_barcode_display.left {
    height: calc(100vh - 155px);
}

.cs_barcode_modal_body {
    background-color: #a9a9a9;
}

/* ==============Single Barcode Style================ */
.cs_barcode.cs_style_1,
.cs_barcode.cs_style_2,
.cs_barcode.cs_style_3,
.cs_barcode.cs_style_4,
.cs_barcode.cs_style_5,
.cs_barcode.cs_style_6,
.cs_barcode.cs_style_7,
.cs_barcode.cs_style_8 {
    background-color: #fff;
    color: #000;
    padding: 10px;
    width: 260px;
    cursor: pointer;
    height: max-content;
}

.cs_barcode.cs_style_5 {
    color: #800000 !important;
}

/* .cs_barcode.cs_style_6 {
    width: 100% !important;
} */

/* fonts */
.cs_font_50 {
    font-size: 50px;
}
.cs_font_40 {
    font-size: 40px;
}
.cs_font_30 {
    font-size: 30px;
}
.cs_font_25 {
    font-size: 25px;
}
.cs_font_22 {
    font-size: 22px;
}
.cs_font_20 {
    font-size: 20px;
}
.cs_font_18 {
    font-size: 18px;
}
.cs_font_16 {
    font-size: 16px;
}
.cs_font_14 {
    font-size: 14px;
}

/* line-height */
.cs_line_height_1 {
    line-height: 1;
}

/* font-weight */
.cs_font_light {
    font-weight: 300;
}

.cs_font_normal {
    font-weight: 400;
}

.cs_font_medium {
    font-weight: 500;
}

.cs_font_semibold {
    font-weight: 600;
}

.cs_font_bold {
    font-weight: 700;
}

/* margin top*/
.cs_mt_5 {
    margin-top: 5px;
}

.cs_mt_10 {
    margin-top: 10px;
}

.cs_mt_15 {
    margin-top: 15px;
}

.cs_mt_20 {
    margin-top: 20px;
}

/* margin bottem*/
.cs_mb_5 {
    margin-bottom: 5px;
}

.cs_mb_10 {
    margin-bottom: 10px;
}

.cs_mb_15 {
    margin-bottom: 15px;
}

.cs_mb_20 {
    margin-bottom: 20px;
}

/* padding top*/
.cs_pt_5 {
    padding-top: 5px;
}

.cs_pt_10 {
    padding-top: 10px;
}

.cs_pt_15 {
    padding-top: 15px;
}

.cs_pt_20 {
    padding-top: 20px;
}

.cs_top_dashed_border_1 {
    border-top: 1px dashed #4d525a;
}

.cs_dashed_border_2 {
    border-top: 2px dashed #000;
    padding: 2px;
    border-bottom: 2px dashed #000;
}
.cs_latter_spacing_3 {
    letter-spacing: 3px;
}

.cs_font_italic {
    font-style: italic;
}

.cs_text_line_strick {
    text-decoration: line-through;
    opacity: 0.8;
}

.dataTables_paginate,
.dataTables_info {
    padding: 0 !important;
    width: initial !important;
}

/* .data-table-responsive{
    height: calc(100vh - 200px);
    overflow: scroll;
    border-top: 1px solid #ccc;
} */

/* .table-responsive table.display thead th{
    border-top: initial;
} */

.dataTables_processing {
    z-index: 99999999;
    height: 60px;
}

.cs_table_bottom_wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding: 10px;
}

.litepicker {
    z-index: 99999999 !important;
}

.table-responsive.barcode {
    background-color: #d3d3d3;
}

.table-responsive.barcode .data-table-wrapper {
    /* height: calc(100vh - 450px);
    min-height: 300px; */
    height: initial;
}

.table th,
.table td {
    white-space: nowrap !important;
    /* border: none; */
}
.table th,
.table td {
    /* border-top: 1px solid rgb(102, 102, 102); */
}

.cs_barcode_excel_formate {
    width: max-content;
    padding: 3px 10px;
    border: none;
}

/* Back office default */
.cs_back_office_detect .panel__nav {
    background-image: linear-gradient(#2b9ed0, #0f5167) !important;
}

.dark-theme .cs_back_office_detect ul.head__cn li .nav-btn {
    background-image: linear-gradient(#2b9ed0, #0f5167) !important;
    border: 0;
    border-left: 1px solid #3ebdf3 !important;
    border-right: 1px solid #16516a;
}

.cs_back_office_detect .logo__sec {
    background-image: linear-gradient(#444444, #0a0b0c);
}

.cs_back_office_detect .company-name {
    border: none;
}
.dark-theme .cs_back_office_detect ul.head__cn {
    border: none;
}

.table-head-left h5,
.table-head-left h6 {
    padding: 0 10px !important;
}

.table-head-right {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.dataTables_filter {
    order: 1;
}
.dataTables_length {
    order: 2;
}
.export-btn-wrapper {
    order: 3;
}

.dataTables_length,
label {
    line-height: initial !important;
}

.sec-name .add-btn-section .btn {
    height: 30px !important;
    width: 85px !important;
    flex-direction: row;
    align-items: center;
    background: white !important;
    border-radius: 9px;
    /* border: 2px solid #2b9ed0 !important; */
    border: 1px solid #525252 !important;
    margin-right: 5px;
    font-size: 15px;
    background: #0ec726 !important;
}
.sec-name .add-btn-section .btn:hover {
    background-color: #0ec726 !important;
    color: #fff !important;
    border-color: transparent !important;
}
.sec-name .add-btn-section .btn i {
    /* color: #0ec726; */
    font-size: 15px;
    margin-left: 5px;
}
.sec-name .add-btn-section .btn:hover i {
    color: #fff;
}

.sec-name .add-btn-section .fa-solid,
.sec-name .add-btn-section .fas {
    font-weight: 600;
}

.sec-name .tab_list_area .btn-group .btn.btn-primary {
    height: 25px !important;
    line-height: 23px;
}

.cs_table_custom_p .dataTables_filter,
.cs_table_custom_p .dataTables_length,
.cs_table_custom_p .dataTables_info,
.cs_table_custom_p .dataTables_paginate {
    padding: 5px !important;
}

.cs_table_custom_p2 .table-header-wrap {
    padding: 5px 0;
}

.cs_table_custom_p2 .table-head-right {
    margin-right: 10px;
}

.cs_table_custom_p3 .dataTables_filter,
.cs_table_custom_p3 .dataTables_length {
    padding: 5px !important;
}

/* =========Responsive========== */
@media (max-width: 1399px) {
    .cs_content_left .cs_barcode_card_body {
        grid-template-columns: repeat(1, 1fr);
    }
    .cs_content_left .cs_column_span_2 {
        grid-column: span 1;
    }
}
@media (max-width: 1199px) {
    .cs_system_info_wrap {
        display: none;
    }
    .cs_category_header {
        justify-content: flex-end;
    }
    .cs_barcode_card_wrapper {
        grid-template-columns: repeat(3, 1fr);
        gap: 24px;
        row-gap: 10px;
    }
}

@media (max-width: 991px) {
    .cs_barcode_card_wrapper {
        grid-template-columns: repeat(2, 1fr);
    }

    #rightSidebar .bottom-btn-group ul {
        display: grid !important;
        grid-template-columns: repeat(4, 1fr);
    }

    #rightSidebar .bottom-btn-group li {
        width: initial;
    }

    #rightSidebar .bottom-btn-group a span:first-child {
        margin-bottom: 5px !important;
    }

    .menu-list-area ul.list-unstyled {
        grid-template-columns: repeat(3, 1fr) !important;
    }

    .branch-name {
        display: none !important;
    }

    .company-name {
        padding-left: 10px !important;
    }

    ul.head__cn li .nav-btn {
        height: 45px !important;
        padding: 0 7px;
    }
    .cs_barcode_left_top button,
    .cs_barcode_btns_wrap button {
        height: 30px;
        font-size: 12px;
        padding: 5px 10px;
    }
    .cs_barcode_btns_wrap {
        gap: 5px;
    }
}

@media (max-width: 767px) {

    .cs_back_office_detect .logo__sec {
        background-image: initial;
    }

    .all__content.menu-horizontal-view {
        padding-top: 145px;
    }

    .menu-horizontal-view .horizontal-content-wrapper {
        top: 105px;
    }

    .menu-horizontal-view .data-table-wrapper {
        height: calc(100vh - 308px);
    }

    #dashboard-8 .main__content {
        margin-top: 105px;
    }

    #dashboard-8 .main-woaper {
        /* width: 100%; */
        padding-left: 0;
    }

    #dashboard-8 .navigation {
        z-index: 9999999;
        width: 100%;
        padding-left: 0px;
        margin-left: 0px;
        padding-right: 0px;
    }

    #dashboard-8 li.dp__top {
        display: none;
    }


    #dashboard-8 .toggle_reduce_main_woaper_tab {
        width: calc(100% - 160px);
    }

    #dashboard-8 .toggle_reduce_navigation_width_tab {
        width: 100%;
    }

    .toggle-leftbar_t {
        display: none;
    }

    .toggle-leftbar_t.active {
        display: block;
    }

    .main-woaper_t {
        width: 100%;
    }

    .navigation_t {
        width: 100%;
        height: 120px;
    }

    .toggle-leftbar {
        display: none;
    }

    div#left_bar_toggle {
        display: block;
    }

    .border-class {
        padding: 0;
    }

    .panel__nav {
        display: inline-block;
        padding-left: 10px;
        padding-right: 10px;
    }

    .top-menu {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;
    }

    .top-menu .logo__sec {
        width: 100%;
        display: flex;
        justify-content: space-between;
        gap: 20px;
    }

    .notify-menu {
        margin-top: 0px !important;
        font-size: 8px;
    }

    .sub-menu {
        position: absolute;
        width: 100%;
        background: #fff;
        top: -2px;
        height: 100vh;
        z-index: 20;
        left: 0%;
        display: none;
    }

    .name-head h5 {
        font-size: 12px;
        color: var(--title-color);
    }

    .main__nav {
        background: var(--main-color);
        height: 100%;
    }

    li.buttom__icon {
        position: fixed;
        width: 71px;
        bottom: 0;
        padding: 10px 0;
    }

    a.buttom__link {
        padding: 6px !important;
    }

    .navigation {
        height: auto;
        width: 100%;
    }

    div#sidebar {
        width: 80%;
        background: #fff;
        height: 84vh;
    }

    .dropdown-menu.show {
        display: block;
        /* position: fixed !important; */
        left: -3% !important;
        display: block;
        transform: translate(0) !important;
        top: 20px !important;
    }

    .dropdown-menu::after {
        display: none;
    }

    .user_info {
        width: unset;
    }

    .breadCrumb ul li {
        margin: 6px 6px 0px 0;
    }
    .top-icon span {
        font-size: 0 !important;
        line-height: 1;
    }

    .top-icon span i {
        font-size: 12px;
    }

    .top-icon span br {
        display: none;
    }

    ul.head__cn li .nav-btn {
        height: 30px !important;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    #dashboard-8 .menu-horizontal-view .main__nav {
        margin-top: 0 !important;
    }

    .menu-horizontal-view .notify-menu {
        justify-content: space-between;
        width: 100%;
    }
    #dashboard-8 #primary_nav {
        top: 105px;
    }
    #dashboard-8 .main__nav ul {
        padding-bottom: 88px;
    }
    .data-table-wrapper {
        height: calc(100vh - 268px);
    }
}

@media (max-width: 575px) {
    .sec-name .add-btn-section .btn {
        width: 75px !important;
        height: 25px !important;
    }

    .cs_barcode_card_wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .sub-menu-width .switch_text {
        width: calc(100% - 62px) !important;
    }
    li.dp__top {
        display: none;
    }
    #calculatorModal.modal.show .modal-dialog {
        top: 60px;
    }
    .data-table-wrapper {
        height: calc(100vh - 265px);
    }

    .menu-horizontal-view .data-table-wrapper {
        height: calc(100vh - 295px);
    }

    /* Mobile responsive  */
    .all__content.menu-horizontal-view {
        padding-top: 135px;
    }

    .sec-name,
    .cs_category_header,
    .cs_category_header .btn.btn-secondary.close-model,
    .horizontal-content-wrapper .icon,
    .menu-horizontal-view .main__nav ul,
    .menu-horizontal-view .main__nav ul li {
        max-height: 30px !important;
    }

    .sec-name h4,
    .sec-name h5,
    .sec-name h6 {
        font-size: 14px;
    }

    .cs_category_header .btn.btn-secondary.close-model {
        max-height: 32px !important;
        line-height: 32px !important;
    }

    .menu-horizontal-view .main__nav ul li a {
        padding: 5px 10px !important;
    }

    .menu-horizontal-view .main__nav ul li a img {
        width: 15px !important;
    }
    .table-responsive .export-btn-wrapper .btn.exportBtn {
        height: 30px !important;
    }

    .dataTables_filter {
        margin-top: 1px !important;
    }

    .dataTables_filter label {
        font-size: 0;
        line-height: 1;
    }
    .dataTables_filter input {
        margin-left: initial;
    }

    /* .dataTables_length {
        position: absolute;
        right: 65px;
    } */

    .dataTables_paginate {
        display: flex;
        align-items: center;
    }
    .dataTables_paginate > * {
        max-height: 19px;
        line-height: 19px;
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    .dataTables_paginate .paginate_button.previous,
    .dataTables_paginate .paginate_button.next {
        line-height: initial !important;
    }

    .cs_table_bottom_wrap {
        flex-direction: column;
        gap: initial;
        padding: 5px;
    }

    *::-webkit-scrollbar {
        display: none !important;
        opacity: 0 !important;
        visibility: hidden !important;
    }

    /* .toggle-leftbar.cs_mobile_none{
        display: none ;
    } */
    .cs_mobile_none {
        display: none !important;
    }

    .cs_barcode_btns_wrap button {
        width: calc(50% - 15px);
        justify-content: center;
    }
}

@media (max-width: 500px) {
    .company-name p {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        width: 200px;
    }

    .company-name p,
    .company-name span {
        text-align: right;
    }

    .main__nav ul {
        max-width: 70px;
    }

    .data-table-wrapper {
        height: calc(100vh - 250px);
    }
    .menu-horizontal-view .data-table-wrapper {
        height: calc(100vh - 280px);
    }

    .all__content.menu-horizontal-view {
        padding-top: 120px;
    }

    .menu-horizontal-view .horizontal-content-wrapper {
        top: 90px;
    }

    #dashboard-8 .main__content {
        margin-top: 90px;
    }

    #dashboard-8 .main__nav ul li:first-child {
        width: 70px;
    }

    #dashboard-8 .main__nav ul li a span.fas {
        font-size: 20px;
    }

    #dashboard-8 .navigation {
        width: 100%;
        padding-left: 0px;
    }

    #dashboard-8 .navigation .user_info {
        margin-right: 0px !important;
    }

    #dashboard-8 .toggle_reduce_main_woaper_mobile {
        margin-left: 0px;
    }

    #dashboard-8 .toggle_reduce_main_woaper_mobile input#search-input {
        width: 100px !important;
    }

    .menu-list-area ul.list-unstyled {
        grid-template-columns: repeat(1, 1fr) !important;
        gap: 10px;
    }

    .menu-list-area ul.list-unstyled li {
        margin: 0;
    }

    img.logo__img {
        width: auto;
        max-height: 25px;
    }

    a.logo {
        height: 30px;
    }

    li.top-icon.ms-3 {
        margin-left: 3px !important;
    }

    /* ul.head__cn li a {
        padding: 0px 5px;
    } */

    li.user_info span.user_name {
        font-size: 9px !important;
    }

    li.user_info span {
        font-size: 9px;
    }

    ul.head__cn li.user_info span a {
        padding: 0 2px;
    }

    li.top-icon:last-child {
        margin-left: 2px;
    }

    .toggle_reduce_navigation_width_mobile li.user_info.me-1 {
        display: none;
    }
    #calculatorModal.modal.show .modal-dialog {
        top: 42px;
        right: 35px;
    }

    #dashboard .button-group__label {
        padding: 0 10px !important;
    }
    .logo__sec {
        height: initial;
    }
    #dashboard-8 .toggle_reduce_main_woaper_tab {
        margin-left: 0;
        width: 100%;
    }
    #dashboard-8 #primary_nav {
        top: 90px;
    }
    #dashboard-8 .main__nav ul {
        padding-bottom: 70px;
    }
}

@media (max-width: 400px) {
    #dashboard-8 .toggle_reduce_navigation_width_mobile {
        margin-left: 0px;
    }

    li.dp__top {
        display: none;
    }

    ul.head__cn li a {
        padding: 6px 8px;
    }

    .user_info {
        display: none !important;
    }
    #dashboard .button-group__label {
        padding: 0 5px !important;
        font-size: 10px;
    }
    .expire_date_text {
        font-size: 9px;
    }

    .cs_barcode_btns_wrap button {
        width: 100%;
    }
}

@media (max-width: 370px) {
    /* #dashboard-8 .main__content {
        margin-top: 120px;
    } */
}

/*   */
.sidebar {
    width: 160px;
    background-color: #1b1d1f;
    color: #fff;
    height: calc(100vh - 60px);
    padding: 0px 0 20px;
    overflow-y: scroll;
    position: fixed;
}

.menu-sticky-btn,
.menu-btn,
.submenu-btn {
    width: 100%;
    color: #fff;
    background: transparent;
    border: none;
    padding: 5px 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    text-align: left;
    gap: 10px;
}
.menu-header-text {
    padding: 10px;
    color: #deecf1;
}
.drowp-down-menu-item ul {
    margin-left: 5px;
}

.menu-btn {
    border-bottom: 1px solid #0a0b0c;
    background: linear-gradient(135deg, #2c2c2c, #000000);
    transition: 0.3s;
}

.menu-btn:hover {
    /* background: #3b3b3b; */
    /* border: 1px solid #f2f8f9; */
    background: rgba(255, 255, 255, 0.19);
    box-shadow: inset 0.1px 0.1px 0.1px 0.1px rgba(255, 255, 255, 0.5),
        inset -0.3px -0.3px 0.3px 0.3px rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(20px);
}
.menu-sticky-btn:hover a,
.menu-btn:hover a {
    color: #fff;
}

.submenu-btn {
    font-size: 11px;
    color: #c8c8d1;
}
.submenu-btn:hover {
    background-color: #3b3b3b;
}

.menu-btn a,
.submenu-btn a {
    color: #c8c8d1;
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 12px;
    transition: 0.3s;
}
.menu-sticky-btn img,
.menu-btn img {
    width: 20px;
    height: 20px;
    object-fit: contain;
}

.submenu,
.sub-submenu {
    list-style: none;
    margin-left: 10px;
    max-height: 0;
    overflow: hidden;
    transition: 0.3s ease;
    border-left: 1px solid rgba(255, 255, 255, 0.5);
}
.hide-submenu a,
.submenu a,
.sub-submenu a {
    color: #c8c8d1;
    text-decoration: none;
    display: block;
    padding: 4px 10px;
    font-size: 11px;
    line-height: 16px;
    font-weight: 500;
    transition: 0.3s;
}
.hide-submenu a:hover,
.submenu a:hover,
.sub-submenu a:hover {
    color: #fff;
}
.submenu-item {
    margin-bottom: 5px;
    list-style: none;
}

.drowp-down-menu-item.active .submenu {
    max-height: 100%;
}
.drowp-down-menu-item.active .menu-btn {
    background: rgba(255, 255, 255, 0.19);
    box-shadow: inset 0.1px 0.1px 0.1px 0.1px rgba(255, 255, 255, 0.5),
        inset -0.3px -0.3px 0.3px 0.3px rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(20px);
    color: #fff;
}
.drowp-down-menu-item.active .menu-btn a{
    color: #fff;
}

.submenu-item.active .sub-submenu {
    max-height: 100%;
}
.submenu-item.active .submenu-btn {
    background-color: #3b3b3b;
}
.classic-pro-menu-sidebar .submenu-item.active .submenu-btn {
        background: rgba(255, 255, 255, 0.19);
    box-shadow: inset 0.1px 0.1px 0.1px 0.1px rgba(255, 255, 255, 0.5),
        inset -0.3px -0.3px 0.3px 0.3px rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(20px);
}
.arrow,
.sub-arrow {
    transition: 0.3s;
    color: #c8c8d1;
}
.drowp-down-menu-item:hover .arrow,
.drowp-down-menu-item:hover .sub-arrow {

    color: #fff;
}

.drowp-down-menu-item.active .arrow {
    transform: rotate(90deg);
    color: #fff;
}

.submenu-item.active .sub-arrow {
    transform: rotate(90deg);
}

.classic-pro {
    border: none;
    background: #494949;
    padding: 5px 15px;
    font-size: 14px;
    color: #fff;
}

.classic-pro-menu-sidebar .submenu-btn:hover {
    background: rgba(255, 255, 255, 0.19);
    box-shadow: inset 0.1px 0.1px 0.1px 0.1px rgba(255, 255, 255, 0.5),
        inset -0.3px -0.3px 0.3px 0.3px rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(20px);
}
.classic-pro-menu-sidebar .single-header-text {
    border-bottom: 1px solid #0a0b0c;
    transition: 0.3s;
}
.classic-pro-menu-sidebar .single-header-text:hover {
    background: rgba(255, 255, 255, 0.19);
    box-shadow: inset 0.1px 0.1px 0.1px 0.1px rgba(255, 255, 255, 0.5),
        inset -0.3px -0.3px 0.3px 0.3px rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(20px);
    color: #fff;
}
.drowp-down-menu .menu-header-text {
    display: none;
}
.classic-pro-menu-sidebar .menu-btn {
    display: none;
}
.classic-pro-menu-sidebar .menu-header-text {
    display: block !important;
}

.classic-pro-menu-sidebar .activeItem.active,
.drowp-down-menu .activeItem.active {
    color: #fff;
}
